Summary: The finger client.
Name: finger
Version: 0.17
Release: 2tr
Copyright: BSD
Group: Network/Clients
Source0: ftp://ftp.uk.linux.org/pub/Linux/Networking/bsd-finger-%{version}.tar.gz
Patch1: bsd-finger-0.16-pts.patch
Patch2: bsd-finger-0.17-exact.patch
Patch3: bsd-finger-0.16-configure.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-root


%description
Finger is a utility which allows users to see information about system
users (login name, home directory, name, how long they've been logged
in to the system, etc.).  The finger package includes a standard
finger client.

You should install finger if you'd like to retreive finger information
from other systems.

%package server
Summary: The finger daemon.
Group: Network/Services
Requires: inetd

%description server
Finger is a utility which allows users to see information about system
users (login name, home directory, name, how long they've been logged
in to the system, etc.).  The finger-server package includes a standard
finger server. The server daemon (fingerd) runs from /etc/inetd.conf,
which must be modified to disable finger requests.

You should install finger-server if your system is used by multiple users
and you'd like finger information to be available.

%prep
%setup -q -n bsd-finger-%{version}
%patch1 -p1 -b .pts
%patch2 -p1 -b .exact
%patch3 -p1 -b .configure

%build
sh configure --prefix=/usr
perl -pi -e 's,-O2,\$(RPM_OPT_FLAGS),' MCONFIG

make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,share/man/man1,share/man/man8,sbin}

make INSTALLROOT=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/finger
/usr/share/man/man1/finger.1*

%files server
%defattr(-,root,root)
/usr/sbin/in.fingerd
/usr/share/man/man8/in.fingerd.8*
/usr/share/man/man8/fingerd.8*


%changelog
* Mon May 29 2000 Erlend Midttun <erlendbm@trustix.com>
- Fixed paths

* Fri Feb 11 2000 Bill Nottingham <notting@redhat.com>
- fix description

* Mon Feb  7 2000 Bill Nottingham <notting@redhat.com>
- handle compressed manpages

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix decsription
- man pages are compressed

* Tue Jan  4 2000 Bill Nottingham <notting@redhat.com>
- split client and server

* Tue Dec 21 1999 Jeff Johnson <jbj@redhat.com>
- update to 0.16.

* Wed Jul 28 1999 Jeff Johnson <jbj@redhat.com>
- exact match w/o -m and add missing pts patch (#2118).
- recompile with correct PATH_MAILDIR (#4218).

* Thu Apr  8 1999 Jeff Johnson <jbj@redhat.com>
- fix process table filled DOS attack (#1271)
- fix pts display problems (#1987 partially)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 22)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0.

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- fix error message typo.

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Sep 22 1997 Erik Troan <ewt@redhat.com>
- added check for getpwnam() failure/
